<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления значениия дополнительного свойства типа "Файл" узлов структуры.
 * 
 * Файл: /admin/structure/action/delete_structure_property_image.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$structure = & singleton('Structure');

if (isset($_REQUEST['delete_structure_property_big_image']))
{
	$structure_property_value_id = to_int($_REQUEST['delete_structure_property_big_image']);
}
else 
{
	$structure_property_value_id = to_int($_REQUEST['delete_structure_property_small_image']);
}

$param = array();
$param['del_big_image'] = isset($_REQUEST['delete_structure_property_big_image']);
$param['del_small_image'] = isset($_REQUEST['delete_structure_property_small_image']);

$structure->DeletePropertyValue($structure_property_value_id, $param);

?>